<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-primary">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" class="btn btn-success ml-1" (click)="exportExcel()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <!-- <button type="button" class="btn btn-danger ml-1" (click)="exportPdf()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button> -->
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde:</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta:</label>
          <kendo-datepicker formControlName="fFec2" class="w-100" [format]="formatKendo" [min]="ngForm.value.fFec1">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="cChr1" formControlName="cChr1" value="P" id="Programadas" class="k-radio mt-2"
            checked="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Programadas">Salidas Programadas</label>
          <input type="radio" name="cChr1" formControlName="cChr1" value="D" id="Dia" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Dia">Salidas del Día</label>
        </div>
        <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="cChr2" formControlName="cChr2" value="T" id="Todos" class="k-radio mt-2"
            checked="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Todos">Todos</label>
          <input type="radio" name="cChr2" formControlName="cChr2" value="E" id="Email" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Email">Con Email</label>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;" class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="IdHotel" title="Id. Hotel" width="150"></kendo-grid-column>
        <kendo-grid-column field="NoFolio" title="# Folio" width="100"></kendo-grid-column>
        <kendo-grid-column field="Apellido" title="Apellido" width="180"></kendo-grid-column>
        <kendo-grid-column field="Nombre" title="Nombre" width="180"></kendo-grid-column>
        <kendo-grid-column field="Titulo" title="Título" width="110"></kendo-grid-column>
        <kendo-grid-column field="Email" title="E-Mail" width="200"></kendo-grid-column>
        <kendo-grid-column field="Telefono" title="Teléfono" width="140"></kendo-grid-column>
        <kendo-grid-column field="Direccion1" title="Dir. 1" width="150"></kendo-grid-column>
        <kendo-grid-column field="Direccion2" title="Dir. 2" width="150"></kendo-grid-column>
        <kendo-grid-column field="Ciudad" title="Ciudad" width="150"></kendo-grid-column>
        <kendo-grid-column field="Estado" title="Estado" width="100"></kendo-grid-column>
        <kendo-grid-column field="CodigoPostal" title="C.P." width="100"></kendo-grid-column>
        <kendo-grid-column field="ISOPais" title="Pais ISO" width="100"></kendo-grid-column>
        <kendo-grid-column field="Idioma" title="Idioma" width="80"></kendo-grid-column>
        <kendo-grid-column field="FechaEntrada" title="Fec. Ent." width="120"></kendo-grid-column>
        <kendo-grid-column field="FechaSalida" title="Fec. Sal." width="120"></kendo-grid-column>
        <kendo-grid-column field="Cuarto" title="Cuarto" width="90"></kendo-grid-column>
        <kendo-grid-column field="TipoCuarto" title="T. Cuarto" width="110"></kendo-grid-column>
        <kendo-grid-column field="Agencia" title="Agencia" width="110"></kendo-grid-column>
        <kendo-grid-column field="Grupo" title="Grupo" width="110"></kendo-grid-column>
        <kendo-grid-column field="Genero" title="Género" width="110"></kendo-grid-column>
        <kendo-grid-column field="cTG" title="C/H" width="70"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGlobal" *ngIf="!loading" [selectable]="true" [filter]="filter"
      [filterable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" style="height: 30vh;" class="mt-1">
      <div *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="IdHotel" title="Id. Hotel" width="150"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="250"></kendo-grid-column>
        <kendo-grid-column field="Total" title="Total" width="90" class="text-right"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>